function parseObj (obj) {
  let s: string[] = []
  for (let i in obj) {
    s.push(`${i}=${obj[i]}`)
  }
  return s.join('&')
}

export function tracker (logkey: string, gmkey: string = 'CLK', gokey: any = '', method: string = 'POST'): void {
  const goldlog = (window as any).goldlog
  let params = gokey || ''
  if (typeof gokey === 'object') {
    params = parseObj(gokey)
  }
  if (goldlog && goldlog.record) {
    goldlog.record(logkey, gmkey, params, method)
  } else {
    // console.error('[Tracker] goldlog not exists.')
  }
}
