import { disableBodyScroll, enableBodyScroll } from './body-scroll'

// 获取 scrollTop
export function scrollTop () {
  const docEl: any = document.documentElement
  const bodyEl: any = document.body
  return docEl.scrollTop || bodyEl.scrollTop
}

// 禁止 body 滚动
export function lockScroll (el: Element, bool: boolean) {
  if (bool === true) {
    disableBodyScroll(el)
  } else {
    enableBodyScroll(el)
  }
}
