import PushButton from './src/pushButton.vue'
import PushGroup from './src/pushGroup.vue'
import PushBar from './src/pushBar.vue'

PushButton.install = function (Vue) {
  Vue.component(PushButton.name, PushButton)
}

PushGroup.install = function (Vue) {
  Vue.component(PushGroup.name, PushGroup)
}

PushBar.install = function (Vue) {
  Vue.component(PushBar.name, PushBar)
}

export { PushButton, PushGroup, PushBar }
export default PushButton
