// 设备全局的标准错误码

const ERROR_CODE = {
  NET_ERR: {
    type: 'error',
    code: 'NET_ERR',
    msg: '网络异常'
  },
  DEV_ERR: {
    type: 'error',
    code: 'DEV_ERR',
    msg: '设备连接异常'
  },
  DEV_NOT: {
    type: 'error',
    code: 'DEV_NOT',
    msg: '设备未激活'
  },
  DEV_OFF: {
    type: 'error',
    code: 'DEV_OFF',
    msg: '设备离线'
  },
  DEV_DIS: {
    type: 'error',
    code: 'DEV_DIS',
    msg: '设备禁用'
  },
  DEV_ABN: {
    type: 'abnormal',
    code: 'DEV_ABN',
    msg: '设备故障'
  },
  BACKGROUND: {
    type: 'background',
    code: 'BACKGROUND',
    msg: '后台运行'
  }
}

export default ERROR_CODE
